//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

//=======================================================================
#ifndef _SAMPLEFRAME_
#include "SampleFrm.h"			// CSampleFrame
#endif

#ifndef SAMPLEPRT_H
#include "SamplePrt.h"			// CSamplePart
#endif

#ifndef CONSTANT_H
#include "Constant.h"			// my menu command numbers
#endif

// ----- Framework Layer -----
#ifndef FWUTIL_H
#include "FWUtil.h"				// FW_CFacetContext, FW_Beep()
#endif

// ----- Graphic Includes -----
#ifndef FWRECT_H
#include <FWRect.h>				// FW_CRect
#endif

#ifndef FWRECSHP_H
#include "FWRecShp.h"			// FW_CRectShape
#endif

//========================================================================================
#ifdef FW_BUILD_MAC
#pragma segment Sample
#endif

//========================================================================================
CSampleFrame::CSampleFrame(Environment* ev, ODFrame* odFrame, 
									FW_CPresentation* presentation, CSamplePart* samplePart)
  : FW_CFrame(ev, odFrame, presentation, samplePart)
{
}

//----------------------------------------------------------------------------------------
CSampleFrame::~CSampleFrame()
{
}

//----------------------------------------------------------------------------------------
void 
CSampleFrame::Draw(Environment *ev, ODFacet* odFacet, ODShape* invalidShape)	// Override
{
	FW_CViewContext context(ev, this, odFacet, invalidShape);
	FW_CRect frameRect = this->GetBounds(ev);

	// fill frame with green  
	FW_CRectShape rectShape(frameRect, FW_kFill);
	rectShape.GetInk()->SetForeColor(FW_kRGBGreen);
	rectShape.Render(context);
}
