//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

//================================================================================
#ifndef SAMPLEPRT_H
#include "SamplePrt.h"		// CSamplePart
#endif

#ifndef _SAMPLEFRAME_
#include "SampleFrm.h"		// CSampleFrame
#endif

#ifndef CONSTANT_H
#include "Constant.h"		// my menu command numbers
#endif

// ----- Framework Layer -----
#ifndef FWPRESEN_H
#include "FWPresen.h"		// FW_CPresentation
#endif

#ifndef FWUTIL_H
#include "FWUtil.h"			// FW_Beep()
#endif


//==============================================================================
const ODValueType CSamplePart::kPartKind = kSampleKind;
const ODValueType CSamplePart::kPartUserName = kSampleEditorUserString;	// [HLX] new

#define kMainPresentation	"Apple:Presentation:Sample"

#ifdef FW_BUILD_MAC
#pragma segment Sample
#endif

//==============================================================================
CSamplePart::CSamplePart(ODPart* odPart)
  :	FW_CPart(odPart, CSamplePart::kPartKind, CSamplePart::kPartUserName, FW_gInstance, kPartIconID)
{
}

//--------------------------------------------------------------------------------
CSamplePart::~CSamplePart()
{
}

//--------------------------------------------------------------------------------
void 
CSamplePart::Initialize(Environment* ev)	// Override
{
	FW_CPart::Initialize(ev);
	this->RegisterPresentation(ev, kMainPresentation, TRUE, NULL);
}

//--------------------------------------------------------------------------------
FW_CFrame* 
CSamplePart::NewFrame(Environment* ev, ODFrame* odFrame,
						FW_CPresentation* presentation, FW_Boolean fromStorage)	// Override
{
	FW_UNUSED(presentation);
	FW_UNUSED(fromStorage);
	return new CSampleFrame(ev, odFrame, presentation, this);
}

